Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.opencard.terminal.pcsc10
Interface Pcsc10Constants

    public interface Pcsc10Constants

Defines some constants used by PCSC terminals.

Version:
  $Id: Pcsc10Constants.java,v 1.1.1.1 2004/04/08 10:29:27 asc Exp $
Author:
  Stephan Breideneich (sbreiden@de.ibm.com)

Field Summary
`static int` | `SCARD_ABSENT`
`static int` | `SCARD_ATTR_ATR_STRING`
`static int` | `SCARD_ATTR_ICC_PRESENCE`
`static int` | `SCARD_ATTR_VENDOR_IFD_TYPE`
`static int` | `SCARD_ATTR_VENDOR_IFD_VERSION`
`static int` | `SCARD_ATTR_VENDOR_NAME`
`static int` | `SCARD_E_INVALID_HANDLE`
`static int` | `SCARD_E_INVALID_PARAMETER`
`static int` | `SCARD_E_INVALID_VALUE`
`static int` | `SCARD_E_NO_MEMORY`
`static int` | `SCARD_E_NOT_READY`
`static int` | `SCARD_E_TIMEOUT`
`static int` | `SCARD_E_UNSUPPORTED_REQUEST`
`static int` | `SCARD_EJECT_CARD`
`static int` | `SCARD_LEAVE_CARD`
`static int` | `SCARD_POWERED`
`static int` | `SCARD_PRESENT`
`static int` | `SCARD_PROTOCOL_DEFAULT`
`static int` | `SCARD_PROTOCOL_OPTIMAL`
`static int` | `SCARD_PROTOCOL_RAW`
`static int` | `SCARD_PROTOCOL_T0`
`static int` | `SCARD_PROTOCOL_T1`
`static int` | `SCARD_RESET_CARD`
`static int` | `SCARD_S_SUCCESS`
`static int` | `SCARD_SCOPE_USER`
`static int` | `SCARD_SHARE_DIRECT`
`static int` | `SCARD_SHARE_EXCLUSIVE`
`static int` | `SCARD_STATE_CHANGED`
`static int` | `SCARD_STATE_EMPTY`
`static int` | `SCARD_STATE_IGNORE`
`static int` | `SCARD_STATE_PRESENT`
`static int` | `SCARD_STATE_UNAVAILABLE`
`static int` | `SCARD_STATE_UNAWARE`
`static int` | `SCARD_STATE_UNKNOWN`
`static int` | `SCARD_UNPOWER_CARD`
`static int` | `SCARD_W_REMOVED_CARD`
`static int` | `SCARD_W_RESET_CARD`
`static int` | `SCARD_W_UNPOWERED_CARD`
`static int` | `SCARD_W_UNRESPONSIVE_CARD`

Field Detail

### SCARD_S_SUCCESS

    static final int SCARD_S_SUCCESS

See Also:
  Constant Field Values

### SCARD_E_INVALID_HANDLE

    static final int SCARD_E_INVALID_HANDLE

See Also:
  Constant Field Values

### SCARD_E_INVALID_PARAMETER

    static final int SCARD_E_INVALID_PARAMETER

See Also:
  Constant Field Values

### SCARD_E_NOT_READY

    static final int SCARD_E_NOT_READY

See Also:
  Constant Field Values

### SCARD_E_INVALID_VALUE

    static final int SCARD_E_INVALID_VALUE

See Also:
  Constant Field Values

### SCARD_E_TIMEOUT

    static final int SCARD_E_TIMEOUT

See Also:
  Constant Field Values

### SCARD_E_NO_MEMORY

    static final int SCARD_E_NO_MEMORY

See Also:
  Constant Field Values

### SCARD_E_UNSUPPORTED_REQUEST

    static final int SCARD_E_UNSUPPORTED_REQUEST

See Also:
  Constant Field Values

### SCARD_W_UNRESPONSIVE_CARD

    static final int SCARD_W_UNRESPONSIVE_CARD

See Also:
  Constant Field Values

### SCARD_W_UNPOWERED_CARD

    static final int SCARD_W_UNPOWERED_CARD

See Also:
  Constant Field Values

### SCARD_W_RESET_CARD

    static final int SCARD_W_RESET_CARD

See Also:
  Constant Field Values

### SCARD_W_REMOVED_CARD

    static final int SCARD_W_REMOVED_CARD

See Also:
  Constant Field Values

### SCARD_SHARE_EXCLUSIVE

    static final int SCARD_SHARE_EXCLUSIVE

See Also:
  Constant Field Values

### SCARD_SHARE_DIRECT

    static final int SCARD_SHARE_DIRECT

See Also:
  Constant Field Values

### SCARD_PROTOCOL_T0

    static final int SCARD_PROTOCOL_T0

See Also:
  Constant Field Values

### SCARD_PROTOCOL_T1

    static final int SCARD_PROTOCOL_T1

See Also:
  Constant Field Values

### SCARD_PROTOCOL_RAW

    static final int SCARD_PROTOCOL_RAW

See Also:
  Constant Field Values

### SCARD_PROTOCOL_DEFAULT

    static final int SCARD_PROTOCOL_DEFAULT

See Also:
  Constant Field Values

### SCARD_PROTOCOL_OPTIMAL

    static final int SCARD_PROTOCOL_OPTIMAL

See Also:
  Constant Field Values

### SCARD_LEAVE_CARD

    static final int SCARD_LEAVE_CARD

See Also:
  Constant Field Values

### SCARD_RESET_CARD

    static final int SCARD_RESET_CARD

See Also:
  Constant Field Values

### SCARD_UNPOWER_CARD

    static final int SCARD_UNPOWER_CARD

See Also:
  Constant Field Values

### SCARD_EJECT_CARD

    static final int SCARD_EJECT_CARD

See Also:
  Constant Field Values

### SCARD_STATE_UNAWARE

    static final int SCARD_STATE_UNAWARE

See Also:
  Constant Field Values

### SCARD_STATE_IGNORE

    static final int SCARD_STATE_IGNORE

See Also:
  Constant Field Values

### SCARD_STATE_CHANGED

    static final int SCARD_STATE_CHANGED

See Also:
  Constant Field Values

### SCARD_STATE_UNKNOWN

    static final int SCARD_STATE_UNKNOWN

See Also:
  Constant Field Values

### SCARD_STATE_UNAVAILABLE

    static final int SCARD_STATE_UNAVAILABLE

See Also:
  Constant Field Values

### SCARD_STATE_EMPTY

    static final int SCARD_STATE_EMPTY

See Also:
  Constant Field Values

### SCARD_STATE_PRESENT

    static final int SCARD_STATE_PRESENT

See Also:
  Constant Field Values

### SCARD_ABSENT

    static final int SCARD_ABSENT

See Also:
  Constant Field Values

### SCARD_PRESENT

    static final int SCARD_PRESENT

See Also:
  Constant Field Values

### SCARD_POWERED

    static final int SCARD_POWERED

See Also:
  Constant Field Values

### SCARD_SCOPE_USER

    static final int SCARD_SCOPE_USER

See Also:
  Constant Field Values

### SCARD_ATTR_VENDOR_NAME

    static final int SCARD_ATTR_VENDOR_NAME

See Also:
  Constant Field Values

### SCARD_ATTR_VENDOR_IFD_TYPE

    static final int SCARD_ATTR_VENDOR_IFD_TYPE

See Also:
  Constant Field Values

### SCARD_ATTR_VENDOR_IFD_VERSION

    static final int SCARD_ATTR_VENDOR_IFD_VERSION

See Also:
  Constant Field Values

### SCARD_ATTR_ATR_STRING

    static final int SCARD_ATTR_ATR_STRING

See Also:
  Constant Field Values

### SCARD_ATTR_ICC_PRESENCE

    static final int SCARD_ATTR_ICC_PRESENCE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD